#include <sta/spi_interface.hpp>


namespace sta
{
	SpiInterface::SpiInterface(const SpiSettings & settings, Mutex * mutex /* = nullptr */)
		: settings_{settings}, mutex_{mutex}
	{}

	const SpiSettings & SpiInterface::settings() const
	{
		return settings_;
	}

	void SpiInterface::acquire()
	{
		if (mutex_ != nullptr)
			mutex_->acquire();
	}

	void SpiInterface::release()
	{
		if (mutex_ != nullptr)
			mutex_->release();
	}
} // namespace sta
